# Constant Field Values

## Contents

- org.springframework.*

## org.springframework.*

org.springframework.transaction.HeuristicCompletionException
Modifier and Type
Constant Field
Value
`public static final int`
`STATE_COMMITTED`
`1`
`public static final int`
`STATE_MIXED`
`3`
`public static final int`
`STATE_ROLLED_BACK`
`2`
`public static final int`
`STATE_UNKNOWN`
`0`
org.springframework.transaction.TransactionDefinition
Modifier and Type
Constant Field
Value
`public static final int`
`ISOLATION_DEFAULT`
`-1`
`public static final int`
`ISOLATION_READ_COMMITTED`
`2`
`public static final int`
`ISOLATION_READ_UNCOMMITTED`
`1`
`public static final int`
`ISOLATION_REPEATABLE_READ`
`4`
`public static final int`
`ISOLATION_SERIALIZABLE`
`8`
`public static final int`
`PROPAGATION_MANDATORY`
`2`
`public static final int`
`PROPAGATION_NESTED`
`6`
`public static final int`
`PROPAGATION_NEVER`
`5`
`public static final int`
`PROPAGATION_NOT_SUPPORTED`
`4`
`public static final int`
`PROPAGATION_REQUIRED`
`0`
`public static final int`
`PROPAGATION_REQUIRES_NEW`
`3`
`public static final int`
`PROPAGATION_SUPPORTS`
`1`
`public static final int`
`TIMEOUT_DEFAULT`
`-1`

org.springframework.transaction.config.TransactionManagementConfigUtils
Modifier and Type
Constant Field
Value
`public static final String`
`JTA_TRANSACTION_ASPECT_BEAN_NAME`
`"org.springframework.transaction.config.internalJtaTransactionAspect"`
`public static final String`
`JTA_TRANSACTION_ASPECT_CLASS_NAME`
`"org.springframework.transaction.aspectj.JtaAnnotationTransactionAspect"`
`public static final String`
`JTA_TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME`
`"org.springframework.transaction.aspectj.AspectJJtaTransactionManagementConfiguration"`
`public static final String`
`TRANSACTION_ADVISOR_BEAN_NAME`
`"org.springframework.transaction.config.internalTransactionAdvisor"`
`public static final String`
`TRANSACTION_ASPECT_BEAN_NAME`
`"org.springframework.transaction.config.internalTransactionAspect"`
`public static final String`
`TRANSACTION_ASPECT_CLASS_NAME`
`"org.springframework.transaction.aspectj.AnnotationTransactionAspect"`
`public static final String`
`TRANSACTION_ASPECT_CONFIGURATION_CLASS_NAME`
`"org.springframework.transaction.aspectj.AspectJTransactionManagementConfiguration"`
`public static final String`
`TRANSACTIONAL_EVENT_LISTENER_FACTORY_BEAN_NAME`
`"org.springframework.transaction.config.internalTransactionalEventListenerFactory"`

org.springframework.transaction.interceptor.RuleBasedTransactionAttribute
Modifier and Type
Constant Field
Value
`public static final String`
`PREFIX_COMMIT_RULE`
`"+"`
`public static final String`
`PREFIX_ROLLBACK_RULE`
`"-"`

org.springframework.transaction.jta.JtaTransactionManager
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_TRANSACTION_SYNCHRONIZATION_REGISTRY_NAME`
`"java:comp/TransactionSynchronizationRegistry"`
`public static final String`
`DEFAULT_USER_TRANSACTION_NAME`
`"java:comp/UserTransaction"`

org.springframework.transaction.reactive.TransactionSynchronization
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_COMMITTED`
`0`
`public static final int`
`STATUS_ROLLED_BACK`
`1`
`public static final int`
`STATUS_UNKNOWN`
`2`

org.springframework.transaction.support.AbstractPlatformTransactionManager
Modifier and Type
Constant Field
Value
`public static final int`
`SYNCHRONIZATION_ALWAYS`
`0`
`public static final int`
`SYNCHRONIZATION_NEVER`
`2`
`public static final int`
`SYNCHRONIZATION_ON_ACTUAL_TRANSACTION`
`1`
org.springframework.transaction.support.DefaultTransactionDefinition
Modifier and Type
Constant Field
Value
`public static final String`
`PREFIX_ISOLATION`
`"ISOLATION_"`
`public static final String`
`PREFIX_PROPAGATION`
`"PROPAGATION_"`
`public static final String`
`PREFIX_TIMEOUT`
`"timeout_"`
`public static final String`
`READ_ONLY_MARKER`
`"readOnly"`
org.springframework.transaction.support.TransactionSynchronization
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_COMMITTED`
`0`
`public static final int`
`STATUS_ROLLED_BACK`
`1`
`public static final int`
`STATUS_UNKNOWN`
`2`